Name:		xfdashboard
Version:	0.3.3
Release:	1%{?dist}
Summary:	GNOME shell like dashboard for Xfce

License:	GPLv2+
URL:		http://xfdashboard.froevel.de
Source0:	https://github.com/gmc-holle/xfdashboard/archive/%{version}.tar.gz

BuildRequires:	libwnck-devel
BuildRequires:	clutter-devel
BuildRequires:	xfconf-devel
BuildRequires:	garcon-devel
BuildRequires:	libtool
BuildRequires:	xfce4-dev-tools
BuildRequires:	libICE-devel
BuildRequires:	desktop-file-utils

%description
Xfdashboard provides a GNOME shell dashboard like interface for use with Xfce
desktop. It can be configured to run to any keyboard shortcut and when executed
provides an overview of applications currently open enabling the user to switch
between different applications. The search feature works like Xfce's app finder
which makes it convenient to search for and start applications.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
./autogen.sh --prefix=%{_prefix} --sysconfdir=%{_sysconfdir}
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc AUTHORS README
%{_bindir}/xfdashboard
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.png
%{_datadir}/themes/%{name}/*

%changelog
* Mon Oct 20 2014 Kevin Fenzi <kevin@scrye.com> 0.3.3-1
- Update to 0.3.3

* Mon Sep 08 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.2-1
- Updated to latest upstream version
- New features included

* Wed Sep 03 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.1-1
- Updated to latest upstream version

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.3.0-1
- Latest upstream version with bugfixes and enhancements
- Removed ChangeLog from doc

* Sun Jul 20 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.1-1
- Updated to latest upstream version

* Sat Jul 12 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.0-2
- Initial build for F22

* Wed Jun 11 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.0-1
- Updated to latest upstream release
- Added appdata file

* Wed Jun 04 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.92-1
- Updated to latest version
- Added application icons

* Tue May 20 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.91-1
- Fixed URL
- Updated to 0.1.91 - API change with this update
- Removed TODO
- Added BuildRequires for desktop-file-utils
- desktop file added - will show in XFCE menu
- desktop file for autostart added

* Fri May 02 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.90-1
- Update to 0.1.90
- multiple bug fixes and improvements

* Sun Mar 23 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.6-2
- Updated to 0.1.6
- Added xfdashboard.xml to files section

* Sun Mar 23 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.6-1
- Updated to 0.1.6

* Sat Mar 8 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.5-1
- Updated to latest release containing new enhancements

* Tue Feb 25 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.4-2
- Patch for enabling workspace switching added
- Upstream bug - issue#1 on github

* Mon Feb 24 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.4-1
- Updated to the latest upstream version
- Includes theming support (provides a default theme)

* Tue Feb 11 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.3-1
- Updated to the latest upstream version

* Mon Feb 10 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.2-3
- Corrected flags used for building the package
- Edited the description

* Sun Feb 02 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.2-2
- Corrected version used for packaging
- Added the doc files

* Wed Jan 29 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.3-1
- Initial build for Fedora
